; ASCII Control Characters equate table for AVR assembler
; Date: 17 May 2005
; Author: John Samperi. Ampertronics Pty Ltd
;Add the following line to the top of your main file
;.include "c:\avr\lib\ASCII_table.asm" (change the directory to where the file is located)

.equ	NUL =0x00     ;^@ Null
.equ	SOH =0x01     ;^A Start of heading
.equ	STX =0x02     ;^B Start of text
.equ	ETX =0x03     ;^C End of text
.equ	EOT =0x04     ;^D End of transmission
.equ	ENQ =0x05     ;^E Enquiry
.equ	ACK =0x06     ;^F Acknowledge
.equ	BEL =0x07     ;^G Bell
.equ	BS  =0x08     ;^H Backspace
.equ	HT  =0x09     ;^I Horizontal tab
.equ	LF  =0x0A     ;^J Line feed
.equ	VT  =0x0B     ;^K Vertical tab
.equ	FF  =0x0C     ;^L Form feed
.equ	CR  =0x0D     ;^M Carriage return
.equ	SO  =0x0E     ;^N Shift out
.equ	SI  =0x0F     ;^O Shift in
.equ	DLE =0x10     ;^P Data link escape
.equ	DC1 =0x11     ;^Q Device control 1
.equ	DC2 =0x12     ;^R Device control 2
.equ	DC3 =0x13     ;^S Device control 3
.equ	DC4 =0x14     ;^T Device control 4
.equ	NAK =0x15     ;^U Negative acknowledge
.equ	SYN =0x16     ;^V Syncronous idle
.equ	ETB =0x17     ;^W End of transmission block
.equ	CAN =0x18     ;^X Cancel
.equ	EM  =0x19     ;^Y End of medium
.equ	_SUB =0x1A    ;^Z Substitute
.equ	ESC =0x1B     ;^[ Escape
.equ	FS  =0x1C     ;^\ File separator
.equ	GS  =0x1D     ;^] Group separator
.equ	RS  =0x1E     ;^^ Record separator
.equ	US  =0x1F     ;^_ Unit separator
.equ	DEL =0x7F     ;Delete key
