;fosc needs to de defined as below
;#define fosc 8000000				;8MHz


;====================
.CSEG
;====================


;Wait the number of ms in y

WAIT_y_ms: 
   rcall	WAIT1ms 
   sbiw		yl,1 
   brne		WAIT_y_ms
   ret  

WAIT100ms:
	push	temp1
	ldi		temp1,100
	rcall	WAITmS_lp
	pop		temp1
	ret

;Waits the number of mS in temp1 at entry
WAITms_lp:
	rcall	WAIT1ms
	dec		temp1
	brne	WAITmS_lp	
	ret

;2ms delay
WAIT2ms:
	rcall	WAIT1ms			
;1mS delay. Accurate from about 100KHz to about 260MHz clock
WAIT1ms:
	push	yl				;2 cycles
	push	yh				;2 cycles
	ldi		yl,low  (((fosc/1000)-14)/4)	;1 cycle
	ldi		yh,high (((fosc/1000)-14)/4)	;1 cycle
dlyms:	
	sbiw	yl,1			;2 cycles
	brne	dlyms			;2 cycles
	pop		yh				;2 cycles
	pop		yl				;2 cycles
	ret						;4 cycles
